package com.casic.missiles.modular.system.service.impl;

import com.casic.missiles.modular.system.dao.DeviceTypeMapper;
import com.casic.missiles.modular.system.service.IDeviceTypeService;
import com.casic.missiles.modular.system.model.DeviceType;
import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 设备类型表 服务实现类
 * </p>
 *
 * @author lwh123
 * @since 2019-05-23
 */
@Service
public class DeviceTypeServiceImpl extends ServiceImpl<DeviceTypeMapper, DeviceType> implements IDeviceTypeService {

    @Override
    public DeviceType selectDeviceTypeByName(String typeName) {
        DeviceType deviceType = new DeviceType();
        deviceType.setTypeName(typeName);
        return this.baseMapper.selectOne(deviceType);
    }
}
